//wvwq3dm5 shader file
//modified id lights
textures/wvwq3dm5/wvw_smll_pipes_ns
{
	qer_editorimage textures/wvwq3dm5/wvw_smll_pipes.tga
	surfaceparm nonsolid
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/wvwq3dm5/wvw_smll_pipes.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/wvwq3dm5/wvw5_baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 2000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc add
	}
}

textures/wvwq3dm5/wvw5_ceil1_38
{
	qer_editorimage textures/base_light/ceil1_38.tga
	q3map_lightimage textures/wvwq3dm5/wvw_mtl_support2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 5000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc add
	}
}

textures/wvwq3dm5/wvw5_proto_light
{
	qer_editorimage textures/base_light/proto_light.tga
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 3000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/base_light/proto_light.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_light/proto_lightmap.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 1 0.1 
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc add
		rgbGen wave triangle 1 5 1 3 
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc add
		rgbGen wave triangle 1 2 0 7 
		tcMod scale -1 -1
	}
}

textures/wvwq3dm5/wvw5_neon-blue
{
	qer_editorimage textures/wvwq3dm5/wvw_neon-blue.tga
	q3map_lightimage textures/wvwq3dm5/wvw_neon-blue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 2000
	{
		map textures/wvwq3dm5/wvw_neon-blue.tga
		blendfunc add
		tcMod rotate 100
		tcMod scroll 1.5 -2
	}
}

textures/wvwq3dm5/wvw5_neon-orange
{
	qer_editorimage textures/wvwq3dm5/wvw_neon-orange.tga
	q3map_lightimage textures/wvwq3dm5/wvw_neon-orange.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	q3map_surfacelight 2000
	{
		map textures/wvwq3dm5/wvw_neon-orange.tga
		blendfunc add
		tcMod rotate 100
		tcMod scroll 1.5 -2
	}
}

textures/wvwq3dm5/wvw_trim_rivetmtlgrt2
{
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/wvwq3dm5/wvw_trim_rivetmtlgrt2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/wvwq3dm5/wvw_grill01
{
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/wvwq3dm5/wvw_grill01.tga
		blendfunc blend
		rgbGen Vertex
		depthWrite
	}
}

textures/wvwq3dm5/wvw5_sky
{
	qer_editorimage textures/wvwq3dm5/env/wvw5_sky_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 600
	q3map_sun 0.0352941 0.360784 0.607843 150 315 50
	skyParms textures/wvwq3dm5/env/wvw5_sky 128 -
}

textures/wvwq3dm5/wvw_floor1_bounce
{
	qer_editorimage textures/wvwq3dm5/wvw_floor1_bounce.tga
	q3map_lightimage textures/wvwq3dm5/wvw_jumppadsmall.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/wvwq3dm5/wvw_floor1_bounce.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/wvwq3dm5/wvw_bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/wvwq3dm5/wvw_jumppadsmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

textures/wvwq3dm5/wvw_mercury
{
	qer_editorimage textures/wvwq3dm5/wvw_mercury.tga
	q3map_lightimage textures/wvwq3dm5/wvw_mercury.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 750
	{
		map textures/wvwq3dm5/wvw_mercury.tga
		blendfunc add
		tcMod rotate 10
		tcMod scroll 0.1 0.1
		tcMod turb 0.5 0.25 0 0.15
	}
}

textures/wvwq3dm5/wvw_mtl_support2
{
	{
		map textures/effects/tinfx.tga
		rgbGen Vertex
		tcGen environment 
	}
	{
		map textures/wvwq3dm5/wvw_mtl_support2.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/wvwq3dm5/wvw_trainwall2cpma
{
	qer_editorimage textures/wvwq3dm5/wvw_trainwall2cpma.tga	
	nopicmip

	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/wvwq3dm5/wvw_trainwall2cpma.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/wvwq3dm5/wvw_trainwall_vertex
{

	{
		map textures/wvwq3dm5/wvw_trainwall_vertex.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
		
} 

textures/wvwq3dm5/wvw_trainwall2_vertex
{

	{
		map textures/wvwq3dm5/wvw_trainwall2_vertex.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
		
} 

textures/wvwq3dm5/wvw_drkcern2_vertex
{

	{
		map textures/wvwq3dm5/wvw_drkcern2_vertex.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
		
} 



